local function createSliderValueVisual(event)
	local player = game.players[event.player_index]
	if not player.gui.left[player.name.."_slider_label"] then
		player.gui.left.add{type = "label", name = player.name.."_slider_label", value = 0}
	end
end

local function createSlider(event)
	local player = game.players[event.player_index]
	if not player.gui.left[player.name.."_slider"] then
		player.gui.left.add{type = "slider", name = player.name.."_slider", minimum_value = 1}
	end
	createSliderValueVisual(event)
end

local function updateSliderValue(event)
	local player = game.players[event.player_index]
	if event.element.name == player.name.."_slider" and event.element.parent[player.name.."_slider_label"] then
		player.print("current value = "..event.element.slider_value)
		event.element.parent[player.name.."_slider_label"].caption = event.element.slider_value
	end
end

script.on_event(defines.events.on_gui_opened, createSlider)

script.on_event(defines.events.on_gui_value_changed, updateSliderValue)